Subject: First Butterfly of the Season

From: trgarden <[email-masked]>
Date: 21 May 1996 13:18:16 GMT

I finally seen a butterfly May 18, A Pieris rapae (Cabbbage Butterfly) 
sitting on a dandilion flower.  Everything seems to be about 2 weeks late 
this year.  The Temp. has been very cool for the S.W. Minnesota area this 
year.
Thanks to all that have posted butterfly sightings this year helps with 
the winter blahs.

Tom Middagh